%global cdtreq                  1:9.0.0
%global photran_git_tag         7250ed54b5d58a0965a5349e0241bcdb40f9d20c

Summary:        Fortran Development Tools (Photran) for Eclipse
Name:           eclipse-photran
Version:        9.1.4
Release:        2%{?dist}
License:        EPL
URL:            http://www.eclipse.org/photran

# The following tarballs were downloaded from the git repositories
Source0:        http://git.eclipse.org/c/ptp/org.eclipse.photran.git/snapshot/org.eclipse.photran-%{photran_git_tag}.tar.xz

BuildRequires:  tycho
BuildRequires:  tycho-extras
BuildRequires:  eclipse-cdt >= %{cdtreq}
BuildRequires:  eclipse-launchbar
BuildRequires:  eclipse-license
BuildArch:      noarch
Requires:       eclipse-cdt >= %{cdtreq}

%description
An Eclipse-based Integrated Development Environment for Fortran.


%package intel
Summary:        Intel Fortran compiler support for Photran

%description intel
This feature packages the plugins required to support
the Intel Fortran compiler in Photran/FDT.


%package xlf
Summary:        IBM XLF Compiler Support

%description xlf
Error parser and managed build tool chain for the IBM XLF compiler.


%prep
%setup -q -n org.eclipse.photran-%{photran_git_tag}

# We need to rebuild this jar from the sources within it
mkdir cdtdb-4.0.3-eclipse
pushd cdtdb-4.0.3-eclipse
unzip -q ../org.eclipse.photran.core.vpg/lib/cdtdb-4.0.3-eclipse.jar
find -name \*.class -exec rm {} +
popd
# Delete any other jars in the project
find -name \*.jar -exec rm {} +
# This prevents the Photran Intel feature from building
sed -i -e 's/os="linux"//' org.eclipse.photran.intel-feature/feature.xml
#Fix line endings, causes problems with pdebuild link names
#find -name MANIFEST.MF -exec sed -i -e 's|\r||' {} +

# Don't use target platform
%pom_disable_module org.eclipse.photran.target
%pom_xpath_remove "pom:configuration/pom:target"

%mvn_package "::pom::" __noinstall
%mvn_package ":*.source" __noinstall
%mvn_package ":*.tests" __noinstall
%mvn_package ":org.eclipse.photran.*intel*" intel
%mvn_package ":org.eclipse.photran.*xlf*" xlf
%mvn_package ":*" core


%build
export JAVA_HOME=%{_jvmdir}/java

# Build the helper jar first
pushd cdtdb-4.0.3-eclipse
classpath=$(echo /usr/lib*/eclipse/plugins/org.eclipse.equinox.common_*.jar | sed -e 's/ /:/g')
find -name \*java -exec javac -classpath $classpath '{}' +
jar cf ../org.eclipse.photran.core.vpg/lib/cdtdb-4.0.3-eclipse.jar *
popd
#Interferes with feature build
rm -rf cdtdb-4.0.3-eclipse
# Build the projects
%mvn_build -j -f


%install
%mvn_install


%files -f .mfiles-core
%doc org.eclipse.photran-feature/epl-v10.html

%files intel -f .mfiles-intel
%doc org.eclipse.photran-feature/epl-v10.html

%files xlf -f .mfiles-xlf
%doc org.eclipse.photran-feature/epl-v10.html


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 21 2018 Mat Booth <mat.booth@redhat.com> - 9.1.4-1
- Update to latest release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Sep 21 2017 Mat Booth <mat.booth@redhat.com> - 9.1.3-1
- Update to Oxygen.1 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu May 04 2017 Mat Booth <mat.booth@redhat.com> - 9.1.2-2
- Patch for oxygen compatibility

* Wed Mar 29 2017 Mat Booth <mat.booth@redhat.com> - 9.1.2-1
- Update to latest upstream release
- Add missing BR on tycho-extras for pomless build

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Oct 05 2016 Mat Booth <mat.booth@redhat.com> - 9.1.1-1
- Update to latest available release

* Tue Jul 5 2016 Alexander Kurtakov <akurtako@redhat.com> 9.1.0-4
- Update to droplets.

* Tue May 03 2016 Sopot Cela <scela@redhat.com> - 9.1.0-3
- Patched to build with Neon

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 25 2015 Orion Poplawski <orion@cora.nwra.com> - 9.1.0-1
- Update to 9.1.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 9 2015 Orion Poplawski <orion@cora.nwra.com> - 9.0.1-1
- Update to 9.0.1

* Wed Oct 15 2014 Orion Poplawski <orion@cora.nwra.com> - 9.0.0-1
- Update to 9.0.0

* Wed Aug 20 2014 Orion Poplawski <orion@cora.nwra.com> - 8.2.1-1
- Update to 8.2.1

* Wed Jul 2 2014 Alexander Kurtakov <akurtako@redhat.com> 8.2.0-1
- Update to 8.2.0.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 8 2014 Orion Poplawski <orion@cora.nwra.com> - 8.1.4-1
- Update to 8.1.4

* Fri Aug 16 2013 Orion Poplawski <orion@cora.nwra.com> - 8.1.3-1
- Update to 8.1.3

* Sat Aug 3 2013 Orion Poplawski <orion@cora.nwra.com> - 8.1.2-1
- Update to 8.1.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 8 2013 Orion Poplawski <orion@cora.nwra.com> - 8.1.1-1
- Update to 8.1.1

* Mon Jul 8 2013 Orion Poplawski <orion@cora.nwra.com> - 8.1.0-1
- Update to 8.1.0

* Fri May 10 2013 Orion Poplawski <orion@cora.nwra.com> - 8.1.0-0.3.20130510git71fea65
- Update to current git

* Wed May 1 2013 Orion Poplawski <orion@cora.nwra.com> - 8.1.0-0.2.20130501git71fea65
- Update to current git

* Wed Apr 10 2013 Orion Poplawski <orion@cora.nwra.com> - 8.1.0-0.1.20130409git
- Split photran out of eclipse-ptp package
